Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157542 - docs: "rhncfg-manager upload-channel should support --channel flag"
Summary: docs: "rhncfg-manager upload-channel should support --channel flag"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark Johnson
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-12 15:20 UTC by John Wregglesworth
Modified: 2007-10-24 02:37 UTC (History)
2 users (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 03:11:44 UTC


Attachments (Terms of Use)

Description John Wregglesworth 2005-05-12 15:20:15 UTC
Description of problem: Need documentation on the new --channel option for
rhncfg-manager upload-channel. See Comment #2 in bug 149034 for more info on the
changes made.

Comment 1 Todd Warner 2005-05-16 21:22:02 UTC
"docs bug for 149034" is simply horrible for a summary... changed it to...
docs: "rhncfg-manager upload-channel should support --channel flag"

Also, blocks that bug and not rhn400 now

Comment 2 Melissa Goldin 2005-07-05 16:11:31 UTC
Updated in CVS.  

Can be verified here:
section A.3.12
http://lacrosse.corp.redhat.com/~mgoldin/RHN-reference-en/s1-cli-config-mgr.html

Comment 3 Fanny Augustin 2005-07-13 19:29:12 UTC
In the option table you specified:

-cCHANNEL, --channel=CHANNEL	List of channels the config info will be uploaded
into. Channels delimited by ','. Example: --channel=foo|bar|baz

Shouln't "|" (delimeter) be "," (commas), according to the text?

Comment 4 John Wregglesworth 2005-07-14 19:25:20 UTC
In regards to comment #3, this is a mistake in the --help stuff that I added.
Fixed in CVS.

Test Plan:

1. On a client machine with rhncfg-manager version -25 or later, run
rhncfg-manager upload-channel --help. It should have "Example:
--channel=foo,bar,baz".

Comment 5 Melissa Goldin 2005-07-18 17:20:04 UTC
I've already corrected this in the docs, b/c translation caught it.  It can be
verified here:

http://lacrosse.corp.redhat.com/~mgoldin/RHN-reference-en/s1-cli-config-mgr.html#S2-CLI-CONFIG-MGR-UPLOAD


Comment 6 Fanny Augustin 2005-07-19 19:27:53 UTC
Looks good on QA


Note You need to log in before you can comment on or make changes to this bug.